0

I'm trying to compile Windows VLC using Windows Subsystem For Linux (a.k.a Bash on Ubuntu on Windows).

I'm following this guide:

https://wiki.videolan.org/Win32Compile/

On running configure script it shows:

checking whether x86_64-w64-mingw32-g++ supports C++11 features by default... no
checking whether x86_64-w64-mingw32-g++ supports C++11 features with -std=c++11... no
checking whether x86_64-w64-mingw32-g++ supports C++11 features with -std=c++0x... no
configure: error: *** A compiler with support for C++11 language features is required.

I have GCC 5 installed

~/vlc/win32$ g++ --version
g++ (Ubuntu 5.4.1-2ubuntu2) 5.4.1 20160929
...
~/vlc/win32$ gcc --version
gcc (Ubuntu 5.4.1-2ubuntu2) 5.4.1 20160929
  • What is the cross-compiler version (x86_64-w64-mingw32-g++ --version)? – steeldriver May 4 '17 at 19:41
  • @steeldriver yep, that was the problem, I manually installed new mingw-w64 package and it passed the test, the next problem is outside the scope of this question. Thanks. – Олег Нечитайло May 5 '17 at 11:51

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.